# Basic Utils

A dart package for many helper methods fitting different situations.

## Table of Contents
1. [Install](#install)
   * [pubspec.yaml](#pubspec.yaml)
2. [Import](#import)
3. [Util Classes](#util-classes)
   * [StringUtils](#stringutils)
   * [DomainUtils](#domainutils)
   * [EmailUtils](#emailutils)
   * [MathUtils](#mathutils)
4. [Changelog](#changelog)
5. [Support](#support)
6. [Copyright and license](#copyright-and-license)

## Install
### pubspec.yaml
Update pubspec.yaml and add the following line to your dependencies.
```yaml
dependencies:
  basic_utils: ^1.0.4
```

## Import
Import the package with :
```dart
import 'package:basic_utils/basic_utils.dart';
```

## Util Classes
The package contains different classes. Each class contains methods that provide a solution for certain problems.
### StringUtils
Helper class for String operations.

### DomainUtils
Helper class for operations on domain names.

### EmailUtils
Helper class for operations on email addresses.

### MathUtils
Helper class for simple math operations like calculating circular area or converting length units.

## Changelog
For a detailed changelog, see the [CHANGELOG.md](CHANGELOG.md) file

## Support
You like this repository or even use it in one of your projects? Feel free to donate a cup of coffee! 
Flattr : https://flattr.com/@Ephenodrom

## Copyright and license
MIT License

Copyright (c) 2019 Ephenodrom

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
